package com.iamberry.sys;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 二级菜单
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @tel 18271840547
 * @date 2017/5/12
 */
public class SubMenu implements Serializable {

    private static final long serialVersionUID = -4242209916573654309L;

    private Integer subId;
    // 菜单id
    private Integer subMenuId;
    // 二级菜单名称
    private String subName;
    // 1:可以使用；2：已停止使用
    private Integer subStatus;
    // 图标
    private String subIcon;
    // 创建时间
    private Date subCreateTime;
    // URL
    private String subUrl;

    private List<MenuPermisssion> menuPermisssions;

    public List<MenuPermisssion> getMenuPermisssions() {
        return menuPermisssions;
    }

    public void setMenuPermisssions(List<MenuPermisssion> menuPermisssions) {
        this.menuPermisssions = menuPermisssions;
    }

    public void setSubId(Integer subId) {
        this.subId = subId;
    }

    public void setSubMenuId(Integer subMenuId) {
        this.subMenuId = subMenuId;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public void setSubStatus(Integer subStatus) {
        this.subStatus = subStatus;
    }

    public void setSubIcon(String subIcon) {
        this.subIcon = subIcon;
    }

    public void setSubCreateTime(Date subCreateTime) {
        this.subCreateTime = subCreateTime;
    }

    public Integer getSubId() {
        return subId;
    }

    public Integer getSubMenuId() {
        return subMenuId;
    }

    public String getSubName() {
        return subName;
    }

    public Integer getSubStatus() {
        return subStatus;
    }

    public String getSubIcon() {
        return subIcon;
    }

    public Date getSubCreateTime() {
        return subCreateTime;
    }

    public void setSubUrl(String subUrl) {
        this.subUrl = subUrl;
    }

    public String getSubUrl() {
        return subUrl;
    }
}
